% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/classificationMatrix.R
\name{accuracy}
\alias{accuracy}
\title{Gets the proportion of observations correctly classified.}
\usage{
accuracy(classificMatrix)
}
\arguments{
\item{classificMatrix}{a classification matrix.}
}
\value{
Returns the proportion of correctly classified observations.
}
\description{
Gets the proportion of observations correctly classified.
}
\examples{
## Builds a classification matrix
cl <- c("a", "b", "c")
rl <- c("a", "b", "b", "c", "a", "a")
pl <- c("a", "b", "c", "c", "b", "a")
cm <- classificationMatrix(cl, rl, pl)
tprv <- tpr("a", cm)
fprv <- fpr(cl[1], cm)
prev <- precision("a", cm)
fv <- fmeasure(cl[1], cm)
spev <- specificity (cl[1], cm)
accv <- accuracy(cm)

}
\seealso{
\link{classificationMatrix}, \link{tpr}, \link{fpr}, \link{precision}, \link{fmeasure}, \link{specificity}
}
