% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/classificationMatrix.R
\name{classificationMatrix}
\alias{classificationMatrix}
\title{Function for building a classification(i.e. confusion) matrix for comparing the predictions obtained by
a classifier on a set of observations with the real class labels associated to each
one of them.}
\usage{
classificationMatrix(class_labels, real, predicted)
}
\arguments{
\item{class_labels}{a vector containing all class labels.}

\item{real}{a vector with the real class labels associated to observations.}

\item{predicted}{a vector with the class labels, predicted by a classifier, for observations.}
}
\value{
Returns a classification matrix summarizing the classification results obtained for each class.
}
\description{
Function for building a classification(i.e. confusion) matrix for comparing the predictions obtained by
a classifier on a set of observations with the real class labels associated to each
one of them.
}
\examples{
## Builds a classification matrix
cl <- c("a", "b", "c")
rl <- c("a", "b", "b", "c", "a", "a")
pl <- c("a", "b", "c", "c", "b", "a")
cm <- classificationMatrix(cl, rl, pl)

}
