% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/classificationMatrix.R
\name{fmeasure}
\alias{fmeasure}
\title{Computes the harmonic mean of sensitivity (i.e. true positive rate) and precision.
For more than two classes, these results are calculated comparing each class to
the remaining classes (i.e. a "one versus all" approach).}
\usage{
fmeasure(class_label, classificMatrix)
}
\arguments{
\item{class_label}{the label of the class.}

\item{classificMatrix}{a classification matrix.}
}
\value{
Returns the f-measure for the given class.
}
\description{
Computes the harmonic mean of sensitivity (i.e. true positive rate) and precision.
For more than two classes, these results are calculated comparing each class to
the remaining classes (i.e. a "one versus all" approach).
}
\examples{
## Builds a classification matrix
cl <- c("a", "b", "c")
rl <- c("a", "b", "b", "c", "a", "a")
pl <- c("a", "b", "c", "c", "b", "a")
cm <- classificationMatrix(cl, rl, pl)
fv <- fmeasure("a", cm)
fv <- fmeasure(cl[1], cm)

}
\seealso{
\link{classificationMatrix},\link{tpr}, \link{fpr}, \link{precision}, \link{specificity}, \link{accuracy}
}
