% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/classificationMatrix.R
\name{summarize}
\alias{summarize}
\title{Sumarizes the classification results encoded in a classification matrix. Detiled results by class
are included. For more than two classes, these results are calculated comparing each class to the
remaining classes (i.e. a "one versus all" approach).}
\usage{
summarize(classificMatrix)
}
\arguments{
\item{classificMatrix}{a classification matrix.}
}
\value{
Returns a summary of the classifications results, including the confusion matrix itself,
detailed results by class and global accuracy.
}
\description{
Sumarizes the classification results encoded in a classification matrix. Detiled results by class
are included. For more than two classes, these results are calculated comparing each class to the
remaining classes (i.e. a "one versus all" approach).
}
\examples{
## Builds a classification matrix
cl <- c("a", "b", "c")
rl <- c("a", "b", "b", "c", "a", "a")
pl <- c("a", "b", "c", "c", "b", "a")
cm <- classificationMatrix(cl, rl, pl)
summarize(cm)

}
\seealso{
\link{classificationMatrix}, \link{tpr}, \link{fpr}, \link{precision}, \link{fmeasure}, \link{specificity}, \link{accuracy}
}
